View Issue Details

IDProjectCategoryView StatusLast Update
0000956SOGoWeb Calendarpublic2010-11-15 14:50
Reportergienger Assigned Towsourdeau 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.3 
Fixed in Version1.3.4 
Summary0000956: Vanishing calendar events on update when loginname != uid
Description

Calendar events are disappearing when modifying them using a login other than uid.

Example:

LDAP:
uid = pop215776
mail = lawrence.tester@uni-konstanz.de
loginalias = lawrence.tester

SOGoUserSources:

sogod SOGoUserSources '(
{
CNFieldName = cn;
IDFieldName = uid;
UIDFieldName = uid;
baseDN = "ou=people,o=Universitaet Konstanz,c=DE";
bindFields = (
uid,
loginalias,
mail
);
canAuthenticate = YES;
displayName = "Univ. Konstanz";
hostname = "maroua.dmz";
id = unikn_users;
isAddressBook = YES;
port = 389;
type = ldap;
}
)'

Calendar entries done with "pop215776" appear, and the URL for the calendar web frontend is:

https://<sogo-server-address>/SOGo/so/pop215776/Calendar/view

Doing the same SOGo web login with "lawrence.tester" yields:

https://<sogo-server-address>/SOGo/so/lawrence.tester/Calendar/view

All entries do appear normally. But when editing an entry/appointment and saving it it vanishes. It is gone - forever.

Additional Information

The same result is what causes iCal to run haywire.

iCal automatically uses "uid@domain", so our lawrence tester from above will be

pop215776@uni-konstanz.de

for Apple iCal (SOGo tells him this "user address). If you try to change such an entry from the web interface the same occurs, the entry vanishes.

TagsNo tags attached.

Relationships

parent of 0000692 closed Disappearing events and edit failures when UIDFieldName != login name (bindFields) 

Activities

ludovic

ludovic

2010-11-09 09:52

administrator   ~0001742

Have a look at the sogo_folder_info table where c_path2 = id, email address, etc. and paste that in this ticket.

ludovic

ludovic

2010-11-11 17:07

administrator   ~0001774

Again, can you send the requested info?

wsourdeau

wsourdeau

2010-11-15 14:50

viewer   ~0001818

Fixed in a79ba19dc901642223410e1cd56c639ec05a6098

Issue History

Date Modified Username Field Change
2010-11-08 05:23 gienger New Issue
2010-11-09 09:52 ludovic Note Added: 0001742
2010-11-11 17:07 ludovic Note Added: 0001774
2010-11-11 17:59 ludovic Relationship added parent of 0000692
2010-11-15 14:50 wsourdeau Note Added: 0001818
2010-11-15 14:50 wsourdeau Status new => resolved
2010-11-15 14:50 wsourdeau Fixed in Version => 1.3.4
2010-11-15 14:50 wsourdeau Resolution open => fixed
2010-11-15 14:50 wsourdeau Assigned To => wsourdeau